package com.gyee.frame.service.impl.ticket;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.gyee.frame.model.ticket.Fjyk;
import com.gyee.frame.mapper.ticket.FjykMapper;
import com.gyee.frame.service.ticket.FjykService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author chenmh
 * @since 2020-06-08
 */
@Service
public class FjykServiceImpl extends ServiceImpl<FjykMapper, Fjyk> implements FjykService {

    @Override
    public List<Fjyk> getListOfRiskMeasure(String wonum, String type) {
        QueryWrapper<Fjyk> wrapper = new QueryWrapper<>();
        wrapper.eq("WONUM", wonum);
        wrapper.eq("TYPE", type);

        List<Fjyk> list = baseMapper.selectList(wrapper);

        return list;
    }

    @Override
    public int selectMaxId() {
        return baseMapper.selectMaxId();
    }
}
